package com.xzzn.web.controller.ems;

import com.xzzn.common.core.controller.BaseController;
import com.xzzn.common.core.page.TableDataInfo;
import com.xzzn.ems.domain.vo.AlarmRecordListRequestVo;
import com.xzzn.ems.domain.vo.AlarmRecordListResponseVo;
import com.xzzn.ems.service.IEmsAlarmRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 单站监控-故障告警
 * 
 * @author xzzn
 */
@RestController
@RequestMapping("/ems/siteAlarm")
public class EmsAlarmRecordsController extends BaseController
{

    @Autowired
    private IEmsAlarmRecordsService iEmsAlarmRecordsService;

    /**
     * 获取告警详情列表
     */
    @GetMapping("/getAlarmDetailList")
    public TableDataInfo getAlarmDetailList(AlarmRecordListRequestVo requestVo)
    {
        startPage();
        List<AlarmRecordListResponseVo> list = iEmsAlarmRecordsService.getAlarmRecordDetailList(requestVo);
        return getDataTable(list);
    }

}
